<?php

/* 子テーマのfunctions.phpは、親テーマのfunctions.phpより先に読み込まれることに注意してください。 */


/**
 * 親テーマのfunctions.phpのあとで読み込みたいコードはこの中に。
 */
// add_filter('after_setup_theme', function(){
// }, 11);


/**
 * 子テーマでのファイルの読み込み
 */
add_action('wp_enqueue_scripts', function() {

  $timestamp = date( 'Ymdgis', filemtime( get_stylesheet_directory() . '/style.css' ) );
  wp_enqueue_style( 'child_style', get_stylesheet_directory_uri() .'/style.css', [], $timestamp );

  /* その他の読み込みファイルはこの下に記述 */

}, 11);


/**
 * SWELL PLUS
 */
/* 追尾サイドバーの目次ハイライトがいらない場合は以下を削除 */
/* className変数を変更すれば、自由なCSSデザインが可能 */
if ( ! function_exists( 'SWELL_PLUS_highlight_toc' ) ) :
  function SWELL_PLUS_highlight_toc() {
echo <<< EOM
<script>
const className = 'mark_yellow';
function tocHighlight () {
  const tocList = document.querySelectorAll('.widget_swell_index a');
  if ( ! tocList ) {
    return false;
  }
  const bottom = document.documentElement.clientHeight;
  let tocNow;
  tocList.forEach( function ( a ) {
    a.classList.remove(className);
    const position = document.querySelector(a.hash).getBoundingClientRect().top;
    if ( position < bottom ) {
      tocNow = a;
    }
  });
  if ( tocNow ) {
    tocNow.classList.add(className);
  }
};
window.addEventListener('scroll', tocHighlight);
</script>
EOM;
  }
endif;
add_action( 'wp_print_footer_scripts', 'SWELL_PLUS_highlight_toc' );

/* add new widget */
function swell_plus_floating_widget() {
  register_sidebar( array(
    'name'=>'フローティングボタン',
    'id' => 'swell_plus_floating_button',
    'before_widget' => '<div id="swell_plus_floating_button">',
    'after_widget' => '</div>',
    'before_title' => '<h2>',
    'after_title' => '</h2>',
  ) );
}
add_action( 'widgets_init', 'swell_plus_floating_widget' );

function swell_plus_floating_button(){
  dynamic_sidebar('swell_plus_floating_button');
}
add_filter( 'wp_footer', 'swell_plus_floating_button' );

/* その他のコードはこの下に記述 */
